# Uses of Interface
org.eclipse.zest.core.widgets.ConstraintAdapter

Packages that use ConstraintAdapter
Package
Description
org.eclipse.zest.core.viewers
org.eclipse.zest.core.widgets

## Uses of ConstraintAdapter in org.eclipse.zest.core.viewers

Methods in org.eclipse.zest.core.viewers that return types with arguments of type ConstraintAdapter
Modifier and Type
Method
Description
`List<? extends ConstraintAdapter>`
AbstractStructuredGraphViewer.`getConstraintAdapters()`
Gets all the constraint adapters currently on the viewer
Methods in org.eclipse.zest.core.viewers with parameters of type ConstraintAdapter
Modifier and Type
Method
Description
`void`
AbstractStructuredGraphViewer.`addConstraintAdapter(ConstraintAdapter constraintAdapter)`
Adds a new constraint adapter to the list of constraints

## Uses of ConstraintAdapter in org.eclipse.zest.core.widgets

Methods in org.eclipse.zest.core.widgets with parameters of type ConstraintAdapter
Modifier and Type
Method
Description
`void`
Graph.`addConstraintAdapter(ConstraintAdapter constraintAdapter)`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
Method parameters in org.eclipse.zest.core.widgets with type arguments of type ConstraintAdapter
Modifier and Type
Method
Description
`void`
Graph.`setConstraintAdapters(List<ConstraintAdapter> constraintAdapters)`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.